"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var TravelPartnerBlock = function TravelPartnerBlock(props) {
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "partner__list__block"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: "".concat(props.url || '#'),
    "aria-label": props.name,
    target: props.url !== '#' ? '_blank' : '_self',
    rel: 'noopener'
  }, /*#__PURE__*/_react["default"].createElement("img", {
    src: props.img
  })));
};

TravelPartnerBlock.propTypes = {
  img: _propTypes["default"].string,
  name: _propTypes["default"].string,
  url: _propTypes["default"].string
};
var _default = TravelPartnerBlock;
exports["default"] = _default;