import React from "react";
import TravelHeading from '../travel-heading';
import TravelFeaturedBlock from './block';
import featured1 from './images/featured-1.png';
import featured2 from './images/featured-2.png';
import featured3 from './images/featured-3.png';
const TravelFeatured = () => {
  return (
    <div className="featured index-section">
      <div className="container">
        <TravelHeading
          heading={ <>As Featured in...</> }
        />
        <div className="featured__list">
            <TravelFeaturedBlock
                img={ featured1 }
            />
            <TravelFeaturedBlock
                img={ featured2 }
            />
            <TravelFeaturedBlock
                img={ featured3 }
            />
        </div>
      </div>
    </div>
  );
};

export default TravelFeatured;