import React from 'react';
import PropTypes from 'prop-types';
const TravelWhatToKnowBlock = (props)=> {
    return (
        <div className="what-to-know__list__block">
            <div className="what-to-know__list__block__wrap">
                <div className="what-to-know__list__block__wrap__img">
                    <img src={  props.img } alt={  props.title } />
                </div>
                <div className="what-to-know__list__block__wrap__title">
                    <h4>{  props.title }</h4>
                </div>
            </div>
        </div>
    )
}

TravelWhatToKnowBlock.propTypes = {
    title: PropTypes.string,
    img: PropTypes.string
};

export default TravelWhatToKnowBlock;