import React from "react";
import TravelHeading from '../travel-heading';
import TravelWhatToKnowBlock from './block';
import whatToKnow1 from './images/what-to-know-1.png';
import whatToKnow2 from './images/what-to-know-2.png';
import whatToKnow3 from './images/what-to-know-3.png';
const TravelWhatToKnow = () => {
  return (
    <div className="what-to-know index-section">
      <div className="container">
        <TravelHeading
          heading={ <>What to know</> }
        />
        <div className="what-to-know__list">
            <TravelWhatToKnowBlock
                title={ <>Safety While Traveling</> }
                img={ whatToKnow1 }
            />
            <TravelWhatToKnowBlock
                title={ <>Checklist</> }
                img={ whatToKnow2 }
            />
            <TravelWhatToKnowBlock
                title={ <>Change or Cancel</> }
                img={ whatToKnow3 }
            />
        </div>
      </div>
    </div>
  );
};

export default TravelWhatToKnow;