import React from "react";
import TravelHeading from '../travel-heading';
import TravelWhyBookBlock from './block';
import whyBook1 from './images/why-book-1.png';
import whyBook2 from './images/why-book-2.png';
import whyBook3 from './images/why-book-3.png';
import whyBook4 from './images/why-book-4.png';
const TravelWhyBook = () => {
  return (
    <div className="why-book index-section">
      <div className="container">
        <TravelHeading
          heading={ <>Why book with us?</> }
        />
        <div className="why-book__list">
            <TravelWhyBookBlock
                img={ whyBook1 }
                title={ <>30 years of excellence</> }
            />
            <TravelWhyBookBlock
                img={ whyBook2 }
                title={ <>24/7 Customer Support</> }
            />
            <TravelWhyBookBlock
                img={ whyBook3 }
                title={ <>Exclusive Promo Deals</> }
            />
            <TravelWhyBookBlock
                img={ whyBook4 }
                title={ <>Book Now, Pay later</> }
            />
        </div>
      </div>
    </div>
  );
};

export default TravelWhyBook;