import React from 'react';
import PropTypes from 'prop-types';
const TravelService = (props)=> {
    return (
        <div className="services__list__block">
            <a href={ props.url } target={props.url === '#' ? '_self' : '_blank'} rel='noopener' className="services__list__block__wrap">
                <div className="services__list__block__wrap__img">
                    <img src={  props.img } alt={  props.title } />
                </div>
                <div className="services__list__block__wrap__title">
                    <h4>{  props.title }</h4>
                </div>
                <div className="services__list__block__wrap__detail">
                    {  props.detail }
                </div>
            </a>
        </div>
    )
}

TravelService.propTypes = {
    title: PropTypes.string,
    detail: PropTypes.string,
    img: PropTypes.string,
    url: PropTypes.string
};

export default TravelService;