import React from 'react';
import PropTypes from 'prop-types';
const TravelPartnerBlock = (props)=> {
    return (
        <div className="partner__list__block">
            <a href={`${props.url || '#'}`} aria-label={ props.name } target={ props.url !=='#' ? '_blank' : '_self'} rel={'noopener'} >
                <img src={  props.img } />
            </a>
        </div>
    )
}

TravelPartnerBlock.propTypes = {
    img: PropTypes.string,
    name: PropTypes.string,
    url: PropTypes.string
};

export default TravelPartnerBlock;