import React from 'react';
import BlogSideBar from '../BlogView/blog-sidebar'
import './style.sass'
   const BlankPage = (props) => {
     const { page,loading, isSocialLinks, links , Skeleton } = props
     return (
          <div className='wizrd-blog-detail-wrapper'>
            {/*isSocialLinks && !loading && <BlogSideBar.SocialWidget links={ links }/>*/}
            <div className='wizrd-blog-detail'>
              <div className='wizrd-blog-detail-inner'>
                <div className="wizrd-blog-title">
                  <h1>{ page.title }</h1>
                </div>
                <div className="wizrd-blog-feature-img">
                  {!loading ? <img className='image' src={ page.imageUrl } alt='page-image'/> :
                  <Skeleton reactangle={true} height={265} />}
                </div>
                <div className="wizrd-blog-description">
                  {loading && <Skeleton count={10} height={15}/>}
                  {props.children}
                </div>
            </div>
          </div>
        </div>
     );
   };

export default BlankPage;